diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 2cb77cd..d16e4f4 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -133643,7 +133643,7 @@ how many initial values are necessary.
       getShiftRec(op: BasicOperator, f: Kernel F, n: Symbol)
                  : Union(Integer, "failed") ==
           a := argument f
-          if every?(freeOf?(#1, n::F), a) then return 0
+          if every?(z +-> freeOf?(z, n::F), a) then return 0
 
           if #a ~= 1 then error "RECOP: operator should have only one argument"
 
@@ -133653,7 +133653,7 @@ how many initial values are necessary.
           num := numer p
 
           if degree num = 1 and coefficient(num, 1) = 1
-             and every?(freeOf?(#1, n::F), coefficients num)
+             and every?(z +-> freeOf?(z, n::F), coefficients num)
           then return retractIfCan(coefficient(num, 0))
           else return "failed"
 
@@ -133745,7 +133745,7 @@ how many initial values are necessary.
                 nextval := eval(next, argsym::F, 
                                 (len-(shiftInfo.max)::Integer)::F)
                 newval := eval(nextval, op, 
-                               evalRec(op, argsym, argdisp, #1, eq, values))
+                           z+->evalRec(op, argsym, argdisp, z, eq, values))
                 evalRec(op, argsym, argdisp, arg, eq, cons(newval, values))
               else
                 kernel(oprecur, 
@@ -133756,7 +133756,8 @@ how many initial values are necessary.
                      append([eq, argsym::F, argdisp, op(arg)], values))
 
       numberOfValuesNeeded(numberOfValues: Integer, 
-                           op: BasicOperator, argsym: Symbol, eq: F): Integer ==
+                            op: BasicOperator, 
+                             argsym: Symbol, eq: F): Integer ==
         order := shiftInfoRec(op, argsym, eq).ord
         if order case Integer
         then min(numberOfValues, retract(order)@Integer)
diff --git a/changelog b/changelog
index 420a687..5cdbedd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.04.tpd.patch
+20090620 tpd books/bookvol10.4 RECOP +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.03.tpd.patch
 20090620 tpd books/bookvol10.4 ODERTRIC +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1a18aa9..e877f59 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1605,5 +1605,7 @@ bookvol10.4 SUMRF +-> conversion<br/>
 bookvol10.4 ODERAT +-> conversion<br/>
 <a href="patches/20090620.03.tpd.patch">20090620.03.tpd.patch</a>
 bookvol10.4 ODERTRIC +-> conversion<br/>
+<a href="patches/20090620.04.tpd.patch">20090620.04.tpd.patch</a>
+bookvol10.4 RECOP +-> conversion<br/>
  </body>
 </html>
